// LFindWindow.h

#pragma once
#include "stdafx.h"

struct LFindWindow_impl;

struct LFindWindow : public MGWindow {

	LFindWindow(MGWindow* parent);
	~LFindWindow();

	void doResize();
	void doUpdateSearch();
	void setSearchText(const char* text);

	unsigned int finalSelection;

private:
	LFindWindow_impl *p;
	void onOK();
	void onCancel();
	void onEntryDoubleClicked();
	void onEntryKeypress();
	void onFormKeypress();
	void onEditorKeypress();

	std::vector<std::string> lowNames; // Fast search in lowercase UTF8...
	std::vector<std::wstring> wNames;  // and fast insert in UTF16LE
};
