// LSettingsWindow.h
// `````````````````

#pragma once
#include "stdafx.h"

class LSettingsWindow : public MGWindow {
private:
	// Hotkey list
	std::vector<std::pair<std::string, MGHotkey*>> hotkeys;

	// Controls

	MGListBox* lbOptions;
	MGGroup*   grSettings;

	MGListBox*  lbHotkeys;
	MGHotkeyControl* hcKeyinput;
	MGButton*   btSetHotkey;

	MGLabel*    lDevices;
	MGComboBox* cbDevices;
	MGLabel*    lSoundInfo;

	// Events

	void onListChanged();
	void onDeviceChanged();
	void onHotkeySelected();
	void onHotkeyAssign();

	// Functions

	void repopulateDevices();
	void repopulateSoundInfo();
	void repopulateHotkeys();

public:
	LSettingsWindow(MGWindow* parent);
	~LSettingsWindow();
};