// SettingsManager.h
// `````````````````

#pragma once
#include "stdafx.h"

#define KEYSETTINGS(x) \
	LS_Key ## x ## VK, LS_Key ## x ## Alt, LS_Key ## x ## Ctrl, LS_Key ## x ## Shift

// Settings
enum LillySettings {
	
	LS_WindowXPos,
	LS_WindowYPos,
	LS_WindowWidth,
	LS_WindowHeight,

	KEYSETTINGS(Next),
	KEYSETTINGS(PlayPause),
	KEYSETTINGS(Focus),

	LS_BassPlugins,

	LS_MAXSETTINGS
};

#undef KEYSETTINGS

// Class interface

class SettingsManager {
private:
	ini_t inidata;
	std::vector<int> data;
	std::vector<std::pair<std::string, int>> defaults;

	int  _get(std::string key, int default_int);
	void _set(std::string key, int val);

	// Singleton
	static SettingsManager* inst;
	SettingsManager();
	~SettingsManager();

public:
	static SettingsManager* getInst();
	
	int get(enum LillySettings ls);
	void set(enum LillySettings ls, int value);

	std::string getString(enum LillySettings ls);

	void commit();
};

// Helper macros

#define LS_GET(x) SettingsManager::getInst()->get(x)
#define LS_SET(x,v) SettingsManager::getInst()->set(x,v)
#define LS_MGKC(x) MGKC( \
	static_cast<enum MGVirtualKeys>( LS_GET(LS_Key ## x ## VK ) ), \
	!! LS_GET( LS_Key ## x ## Alt ) , \
	!! LS_GET( LS_Key ## x ## Ctrl ) , \
	!! LS_GET( LS_Key ## x ## Shift ) )
