// listItemData.cpp

#include "listItemData.h"

// GLOBAL VAR

stringPool spool;

// STRINGPOOL

stringPool::stringPool() : store(), lookup() {};

int stringPool::pool(std::string& str) {
	std::map<std::string,int>::iterator i = store.find(str);
	if (i == store.end()) {
		int ret = lookup.size();
		store[str] = ret;
		lookup.push_back( store.find(str) );
		return ret;
	} else {
		return i->second;
	}
}

std::string stringPool::get(unsigned int idx) {
	if (idx == -1) {
		return std::string();
	} else if (idx < lookup.size()) {
		return lookup[idx]->first;
	} else {
		return std::string();
	}
};

// LISTITEMDATA

listItemData::listItemData(int path, std::string fname) :
	m_path(path),
	m_fname(fname),
	m_bIsQueued(false),
	m_bAlreadyPlayed(false)
{
};

std::string listItemData::getFullPath() {
	std::string ret = spool.get(m_path);
	ret.append("\\");
	ret.append(m_fname);
	return ret;
};

std::string listItemData::format(int display_mode) {
	switch (display_mode) {
		case DISPLAY_FULLPATH: return getFullPath();
		case DISPLAY_NAMEONLY: return m_fname;
	}
	return "?";
};
