/*
 * Copyright 2012, the mGui Authors. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are
 * permitted provided that the following conditions are met:
 *  1. Redistributions of source code must retain the above copyright notice and this
 *     list of conditions.
 *  2. Redistributions in binary form must reproduce the above copyright notice and this
 *     list of conditions in the documentation and/or other materials provided with the
 *     distribution.
 */

#pragma once
#include "mGui.h"

#define MGCT_RICHEDIT 101


// MGRICHEDIT
// ``````````
class MGRichEdit : public MGControl {
public:
	MGRichEdit(MGWindow* parent, bool bReadOnly);

	void Clear();
	void setReadOnly(bool bReadOnly);
	int  TextLength();
	std::string SelTextGet();
	void SelTextSet(const char* szText);
	void SelFontSet(
		long rgb, bool bBold, bool bIta, bool bUL
	);
	void SelFontSet(
		long rgb, bool bBold, bool bIta, bool bUL,
		const char* szFont, long size
	);
	void SelSetRange(long lMin, long lMax);
	void SelSetToEnd();
	int  SelGetStart();
	int  SelGetEnd();
};

