// osal.h

#pragma once

#include <vector>
#include <string>
#include <map>

#ifdef WIN32
#define PATH_SEPARATOR '\\'
#else
#define PATH_SEPARATOR '/'
#endif

long getLinkTime();

std::string getLinkTimeString();

std::vector<std::string> filesInDirectory(const char* dir);
void filesInDirectory_recurse(const char* dir, std::vector<std::string>& ret);

bool file_get_contents(std::string filepath, std::string& result);

bool file_put_contents(std::string filepath, std::string& data);

std::string string_format(const char* fmt, ...);

std::string utf16to8(const wchar_t* sz);

std::wstring utf8to16(const char* sz);

void strtolower(std::string& sz);

void trim(std::string& sz);

int explode(const char* needle, std::string& haystack, std::vector<std::string>& ret);

void exec_nowait(const char* binpath, const char* args);

// Might be min, won't ever be max.
unsigned int random_in_range(unsigned int min, unsigned int max);

// Reading and writing INI structures
typedef std::map<std::string,std::map<std::string,std::string>> ini_t;
ini_t ini_read(std::string filepath);
void  ini_write(std::string filepath, ini_t& data);
