// stdafx.h

#pragma once

// Shrink executable size a bit by disabling calling destructors in an exception
//   This has pretty minimal consequences since this project doesn't use
//   exceptions outside the STL, and a memory allocation failure is fatal anyway
//
// Add to project options since this file isn't included in every TU:
// _HAS_EXCEPTIONS=0;_STATIC_CPPLIB;_DISABLE_DEPRECATE_STATIC_CPPLIB

// CRT

// STL
#include <string>
#include <map>
#include <vector>
#include <list>
#if (__cplusplus > 199711L)
#include <forward_list>
#endif

// 3rd-party libraries
#ifdef _MSC_VER
	#pragma comment(lib, "bass.lib")
#endif
#include "bass/bass.h"
#include "bass/bass_aac.h"
#include "bass/bass_ac3.h"
#include "bass/bass_alac.h"
#include "bass/bassflac.h"

// 1st-party
#include "mThread.h"
#include "osal.h"
#include "mGui.h"

// Application settings
#ifdef _WIN32
	#include "res/resource.h"
#endif
#define COUNTOF(x) (sizeof(x)/sizeof(x[0]))

#define APPLICATION_TITLE	"Lilly"
#define CONF_EXTENSION		".ini"
#define PLAYLIST_EXTENSION  ".m3u"

enum modes {
	MODE_REPEATLIST = 0,
	MODE_REPEATFILE,
	MODE_PLAYLIST,
	MODE_PLAYFILE,
	MODE_SHUFFLE,
	MODE_COUNT_MODES
};

enum display_modes {
	DISPLAY_FULLPATH,
	DISPLAY_NAMEONLY,
	DISPLAY_COUNT_MODES
};